/* Theme variables (from brief) */
:root {
	--pm-gold: rgb(219, 161, 12);
	--pm-green: #007a3d;
	--pm-red: rgb(184, 79, 38);
	--pm-gray: #f0f0f0;
	--pm-light: rgb(246, 232, 206);
	--pm-white: #ffffff;
	--pm-blue: #004e72;
}

/* Fundo geral do site */
body,
html {
	background-color: #f1e0c2;
}


strong, .fw-bold {
	font-weight: 700 !important;
}

/* Menu fixo no topo */
.navbar {
	background-color: var(--pm-red) !important;
}

.navbar .nav-link,
.navbar .navbar-brand {
	color: #fff !important;
	padding-left: 1rem !important;
	padding-right: 1rem !important;
}

.navbar .nav-link:hover,
.navbar .navbar-brand:hover {
	color: #ffc72c !important; /* Amarelo Ouro como destaque */
}

.btn-inscricao {
	background-color: var(--pm-red) !important;
	color: #fff !important;
}

/* Botão principal no menu */
.btn-primary {
	background-color: var(--pm-gold) !important;
	border-color: var(--pm-gold) !important;
	color: var(--pm-blue) !important;
}

.btn-primary:hover {
	background-color: var(--pm-blue) !important;
	border-color: var(--pm-blue) !important;
	color: var(--pm-light) !important;
}


/* Botão principal no menu */
.btn-danger {
	background-color: var(--pm-red) !important;
	border-color: var(--pm-red) !important;
	color: var(--pm-light) !important;
}

.btn-danger:hover {
	background-color: rgb(147, 56, 21) !important;
	border-color: rgb(84, 32, 11) !important;
	color: rgb(255, 255, 255) !important;
}



/* Bootstrap tweaks */
.navbar-brand {
	letter-spacing: 0.3px;
}
.btn-primary {
	background-color: var(--pm-gold);
	border-color: var(--pm-gold);
	color: #111;
}
.btn-primary:hover {
	filter: brightness(0.92);
}
.btn-outline-light {
	border-width: 2px;
}

.btn-outline-dark {
	border-color: var(--pm-blue);
	color: var(--pm-blue);
}

.btn-outline-dark:hover {
	background-color: var(--pm-blue);
	color: var(--pm-light);
}

#hero {
	background-color: var(--pm-light);
	background-image: url("assets/img/textura-icones.png");
	background-repeat: repeat;
}

.hero .badge-date {
	background: var(--pm-red);
	color: #fff;
	border-radius: 999px;
	padding: 0.5rem 1rem;
}

.section {
	padding: 4rem 0;
}

/* Footer */
.site-footer {
	background-color: var(--pm-red);
	color: var(--pm-light) !important;
}

.site-footer a {
	text-decoration: none;
}

.site-footer a,
.site-footer p,
.site-footer ul li {
	color: var(--pm-light) !important;
}
.footer-brand {
	color: var(--pm-gold);
}

.footer-copyrights {
	background-color: rgb(167, 69, 30);
}

/* Smooth reveal animations */
.reveal {
	opacity: 0;
	transform: translateY(18px);
	transition: all 0.6s ease;
}
.reveal.visible {
	opacity: 1;
	transform: none;
}
.fade-in {
	animation: fadeIn 0.8s ease both;
}
@keyframes fadeIn {
	from {
		opacity: 0;
	}
	to {
		opacity: 1;
	}
}
